
StocksAndFisheriesKB - Bug #16275

national authority not showing

Mar 13, 2019 06:47 PM - Marina Mendes

Status: Closed Start date: Mar 13, 2019

Priority: Normal Due date:  

Assignee: Yannis Marketakis % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GRSF   

Description

Hi Merul 

the following record from Suriname:

http://data.d4science.org/ctlg/GRSF_Admin/6d27d693-878d-33ba-829a-fbc017d0fca9

does not have the authority identified, missing from the semantic identifier, as you can see:

asfis:YNV+fao:31++iso3:SUR+isscfg:03.19

In my view, it should only show authority:NAT:- (national level)

FS profile: https://www.fishsource.org/fishery_page/4571

Could you please check why the national authority is not identified under the GRSF record?

Thank you

Marina

Related issues:

Related to StocksAndFisheriesKB - Bug #13250: Honduran management organizatio... Closed Apr 11, 2064

History

#1 - Mar 18, 2019 05:12 PM - Merul Patel

- Status changed from New to In Progress

- Assignee changed from Merul Patel to Yannis Marketakis

I've checked the Stocks endpoint and also the Fisheries endpoint (https://www.fishsource.org/api/bluebridge/v4/fisheries/4571) for the related Fishery

and both endpoints are returning the information below for the management_unit:

"management_unit": {

"id": 2367,

"name": "Suriname",

"organizations": [

{

"id": 2482,

"name": "Suriname Fisheries Department",

"acronym": "",

"country": "SUR"

}

]

},

As you can see, the Management authority is the Suriname Fisheries Department but no ACRONYM has been defined. I presume this means that the

semantic identifier skips this element as a result? If so, then please reassign to Marina and ask her to add the missing acronym.

#2 - Mar 19, 2019 11:19 AM - Merul Patel

We have added an acronym for the Suriname Fisheries Department, so this is now being returned in the API:

"management_unit": {

"id": 2367,

"name": "Suriname",

"organizations": [

{

"id": 2482,

"name": "Suriname Fisheries Department",
"acronym": "SFD",

"country": "SUR"

}

]

},

#3 - Mar 19, 2019 01:55 PM - Marina Mendes

I think this one is similar to #13250?

#4 - Mar 19, 2019 01:55 PM - Marina Mendes

- Related to Bug #13250: Honduran management organization acronym not appearing added

#5 - Apr 03, 2019 12:44 PM - Yannis Marketakis

We face this because the harvested data (March 2018) were missing information about the management unit.

Since now we do have the required information, I'll update the record by: 

Adding the Missing Management unit

Updating the Semantic Identifier of the record.

#6 - Apr 03, 2019 01:56 PM - Yannis Marketakis

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

There are 4 records from FishSource with this management entity that have been updated.

Obviously, the corresponding GRSF records have been updated (including their title and their semantic ID)
